%define upstream_name    CGI-Compile
%define upstream_version 0.21

%{?perl_default_filter}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compile .cgi scripts to a code reference like ModPerl::Registry
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
CGI::Compile is an utility to compile CGI scripts into a code reference
that can run many times on its own namespace, as long as the script is
ready to run on a persistent environment.

*NOTE:* for best results, load the CGI::Compile manpage before any modules
used by your CGIs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-2.mga6
+ Revision: 1023436
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.210.0-1.mga6
+ Revision: 923656
- update to 0.21

* Sun Nov 15 2015 tv <tv> 0.200.0-1.mga6
+ Revision: 903334
- new release

* Tue Jun 30 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 848714
- update to 0.19

* Sun Oct 19 2014 umeabot <umeabot> 0.170.0-3.mga5
+ Revision: 790037
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 745225
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 0.170.0-1.mga5
+ Revision: 732391
- adding missing buildrequires:
- imported package perl-CGI-Compile


* Tue Sep 30 2014 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
